Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d.color
Class AbstractDeviceSpecificColorSpace

    java.lang.Object
      java.awt.color.ColorSpace
          org.apache.xmlgraphics.java2d.color.AbstractDeviceSpecificColorSpace

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DeviceCMYKColorSpace

    public abstract class AbstractDeviceSpecificColorSpace

extends ColorSpace

Base class for device-specific (uncalibrated) color spaces.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`protected` | `AbstractDeviceSpecificColorSpace(int type, int numcomponents)` Creates a new instance.

Method Summary

Methods inherited from class java.awt.color.ColorSpace
`fromCIEXYZ, fromRGB, getInstance, getMaxValue, getMinValue, getName, getNumComponents, getType, isCS_sRGB, toCIEXYZ, toRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDeviceSpecificColorSpace

    protected AbstractDeviceSpecificColorSpace(int type,
                                               int numcomponents)

  Creates a new instance.

  Parameters:
    `type` - the color space type (`ColorSpace`.TYPE_*)
    `numcomponents` - the number of color components applicable to the color space

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.